Skip to content

Domains

All operations require authentication.

5 operationsv1/cdn/dedicated
Agent setup

List domainsProduction

GET
/1.0/cdn/dedicated/{serviceName}/domains

Path parameters

serviceName
required
string

The internal name of your CDN offer

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/domains \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a domainProduction

POST
/1.0/cdn/dedicated/{serviceName}/domains

Path parameters

serviceName
required
string

The internal name of your CDN offer

Request body (required)

domain
required
string

domain name to add on CDN

Response

200Domainsuccessful operation
cacheRuleUse
read-only
integer
—
cname
read-only
string
—
domain
read-only
string

Domain of this object

status
DomainStatusEnum

All states a status can be in

Valueserroroffonremoving
type
read-only
DomainTypeEnum

All type of Domain

Valuesplainssl

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/domains \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cacheRuleUse": 0, "cname": "string", "domain": "string", "status": "error", "type": "plain"}

Get a domainProduction

GET
/1.0/cdn/dedicated/{serviceName}/domains/{domain}

Path parameters

domain
required
string

Domain of this object

serviceName
required
string

The internal name of your CDN offer

Response

200Domainsuccessful operation
cacheRuleUse
read-only
integer
—
cname
read-only
string
—
domain
read-only
string

Domain of this object

status
DomainStatusEnum

All states a status can be in

Valueserroroffonremoving
type
read-only
DomainTypeEnum

All type of Domain

Valuesplainssl

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/domains/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cacheRuleUse": 0, "cname": "string", "domain": "string", "status": "error", "type": "plain"}

Delete a domainProduction

DELETE
/1.0/cdn/dedicated/{serviceName}/domains/{domain}

Path parameters

domain
required
string

Domain of this object

serviceName
required
string

The internal name of your CDN offer

Response

200Tasksuccessful operation
comment
read-only
string
—
function
read-only
TaskFunctionEnum

All function CDN task can be

ValuesflushflushAllgenerateSslinstallSslreinstallSslremoveDomainuninstallSslupdateCacheRule
status
read-only
TaskStateEnum

All states a CDN task can be in

Valuescancelleddoingdoneerrortodo
taskId
read-only
integer
—

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/domains/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "comment": "string", "function": "flush", "status": "cancelled", "taskId": 0}

Update a domainProduction

PUT
/1.0/cdn/dedicated/{serviceName}/domains/{domain}

Path parameters

domain
required
string

Domain of this object

serviceName
required
string

The internal name of your CDN offer

Request body (required)

cacheRuleUse
read-only
integer
—
cname
read-only
string
—
domain
read-only
string

Domain of this object

status
DomainStatusEnum

All states a status can be in

Valueserroroffonremoving
type
read-only
DomainTypeEnum

All type of Domain

Valuesplainssl

Response

200—successful operation

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName}/domains/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"